import 'dart:convert';
import 'dart:io';

import 'package:librus_api/librus_api.dart';
import 'package:librus_api/librus_api_base.dart';
import 'package:librus_api/models/grade.dart';
import 'package:librus_api/utils/utils.dart';

main() async {
  LibrusApi.init();
  var api = LibrusApi('./cookies');
  await api.signIn(Platform.environment['LIBRUS_USERNAME'],
      Platform.environment['LIBRUS_PASSWORD']);
  var accounts = await api.accounts;
  await accounts[0].refresh();
  var data = json.encode(api);
  print(json.decode(data));
  print(json.encode(await fetchSubjects(accounts[0])));
}
