import 'package:json_annotation/json_annotation.dart';
import 'package:librus_api/librus_api_base.dart';
import 'package:librus_api/models/resource.dart';

part 'comment.g.dart';

@JsonSerializable()
@reflector
class Comment extends Resource {
  static String get collection => "Grades/Comments";

  static String get entry => "Comments";
  String text;
  int id;
  dynamic grade;

  Comment() {}

  factory Comment.fromJson(Map<String, dynamic> json) =>
      _$CommentFromJson(json);

  Map<String, dynamic> toJson() => _$CommentToJson(this);
}
