import 'package:librus_api/librus_api_base.dart';
import 'package:librus_api/models/resource.dart';
import 'package:json_annotation/json_annotation.dart';

part 'category.g.dart';

@JsonSerializable()
@reflector
class Category extends Resource {
  static String get collection => "Grades/Categories";

  static String get entry => "Categories";
  String name;
  bool adultsExtramural;
  bool adultsDaily;
  bool standard;
  bool countToTheAverage;
  bool blockAnyGrades;
  bool obligationToPerform;
  int weight;
  int id;
  dynamic color;

  Category() {}

  factory Category.fromJson(Map<String, dynamic> json) =>
      _$CategoryFromJson(json);

  Map<String, dynamic> toJson() => _$CategoryToJson(this);
}
